Apple Fixes OS X and iOS Flaws Ahead of New Releases

 
 
By Sean Michael Kerner  |  Posted 2015-07-01 Print this article Print
 
 
 
 
 
 
 
Apple security fix

Apple tackles a long list of vulnerabilities in its desktop and mobile operating systems in advance of new version releases set to debut later this year.

Although there is much excitement among Apple users for the upcoming iOS 9 and OS X 10.11 releases, they aren't yet available, and Apple is still updating iOS 8 and OS X 10.10.

Apple released the OS X 10.10.4 and iOS 8.4 updates on June 30, providing users with security patches fixing multiple vulnerabilities across both desktop and mobile operating systems.

The new OS X and iOS updates are the first major Apple security patch updates since April 8, when the OS X 10.10.3 and iOS 8.3 updates debuted.

Among the security patches in OS X 10.10.4 are three vulnerabilities (CVE-2015-3671, CVE-2015-3672 and CVE-2015-3673) in Apple's Admin framework. The flaws could potentially have enabled a non-administrative user of a system to obtain full administrative rights.

Apple is also fixing four vulnerabilities (CVE-2015-3679, CVE-2015-3680, CVE-2015-3681 and CVE-2015-3682) in Apple Type Services (ATS), the OS X feature that enables fonts. Additionally, there are six vulnerabilities (CVE-2015-1157, CVE-2015-3685, CVE-2015-3686, CVE-2015-3687, CVE-2015-3688 and CVE-2015-3689) in the CoreText library, which affects both OS X and iOS. The sum total impact of the ATS and CoreText vulnerabilities is that simply by loading a malicious font or text file, an attacker could have been able to load arbitrary code. 

On the hardware side, there is also a fix in OS X for CVE-2015-3678, a vulnerability in Apple's high-speed Thunderbolt interface. An attacker could have exploited the flaw to execute arbitrary code on a vulnerable system.

"A memory corruption issue existed in the handling of certain Thunderbolt commands from local processes," Apple warned in its advisory. "This issue was addressed through improved memory handling."

The Intel graphics driver used in OS X is being patched for eight vulnerabilities (CVE-2015-3695, CVE-2015-3696, CVE-2015-3697, CVE-2015-3698, CVE-2015-3699, CVE-2015-3700, CVE-2015-3701 and CVE-2015-3702).

"Multiple buffer overflow issues exist in the Intel graphics driver, the most serious of which may lead to arbitrary code execution with system privileges," Apple warned in its advisory.

Apple is now patching both OS X 10.10.4 and iOS 8.4 for the Logjam Secure Sockets Layer/Transport Layer Security (SSL/TLS) vulnerability first disclosed April 20. The Apple patch for Logjam, also known as CVE-2015-4000, is found in the coreTLS library.

"coreTLS accepted short ephemeral Diffie-Hellman (DH) keys, as used in export-strength ephemeral DH cipher suites," Apple warns in its advisory. "This issue, also known as Logjam, allowed an attacker with a privileged network position to downgrade security to 512-bit DH if the server supported an export-strength ephemeral DH cipher suite."

For iOS 8.4, there is a fix in the core telephony component for CVE-2015-3726, a vulnerability that could have enabled a malicious SIM card to execute arbitrary code. iOS 8.4 also benefits from a patch for the WiFi connectivity flaw identified as CVE-2015-3728, which could have exposed mobile users to risk.

"iOS devices may auto-associate with untrusted access points advertising a known ESSID but with a downgraded security type," Apple warns in its advisory on the issue.

Sean Michael Kerner is a senior editor at eWEEK and InternetNews.com. Follow him on Twitter @TechJournalist.

 
 
 
 
 
 
 
 
 
 
 
 
 

Submit a Comment

Loading Comments...
 
Manage your Newsletters: Login   Register My Newsletters























 
 
 
 
 
 
 
 
 
 
 
Rocket Fuel